Bug 206533 - Intel I219-V in 11-CURRENT and 10-STABLE
Summary: Intel I219-V in 11-CURRENT and 10-STABLE
Status: Closed Overcome By Events
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 10.2-STABLE
Hardware: Any Any
: --- Affects Many People
Assignee: Eric Joyner
URL: https://reviews.freebsd.org/D3162
Keywords: IntelNetworking, feature
Depends on:
Blocks:
 
Reported: 2016-01-23 17:13 UTC by Oliver Pinter
Modified: 2016-02-26 23:10 UTC (History)
8 users (show)

See Also:
op: maintainer-feedback? (erj)
op: mfc-stable10?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Pinter freebsd_committer 2016-01-23 17:13:30 UTC
Missing driver support for Intel I219-V gigabit ethernet network card in 10-STABLE and in 11-CURRENT. The drivers in FreeBSD source base is a pretty old (v7.4.2 in 11-CURRENT), and newer driver available in Intel's site (v7.5.2), which adds support for the hardware.

https://downloadcenter.intel.com/download/17509/Network-Adapter-Gigabit-Base-Driver-for-FreeBSD-
Comment 1 Sean Bruno freebsd_committer 2016-01-25 15:43:15 UTC
Yep, all of this is true.  However, when integrating Intel's upstream changes to enable this support, this causes many, many, MANY *other* chipsets to fail to attach to the driver (em).

This is being discussed in phabricator reviews ... I think that makes this ticket irrelevant, but I'll leave it open if the submitter wishes.

https://reviews.freebsd.org/D3162
Comment 2 Roger Pau Monné freebsd_committer 2016-01-27 12:34:20 UTC
I'm not really sure if it's related to this or not, but I have an Intel I218-V, to which the em driver attaches to and seems to work fine, but it only detects the media as 100baseTX. I've tried to manually force it to 1000baseTX but then it's unable to find a carrier. According to the specifications [0], I218-V should support 1Gbps.

Is this know, or should I open a new bug?

http://www.intel.com/content/www/us/en/embedded/products/networking/ethernet-connection-i218-family.html
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-27 12:45:39 UTC
Can't be in In Progress without an Assignee, but we pull assignees, not push. If the author of the review mentioned here would like to 'take' this issue to track its progress, please do so
Comment 4 Sean Bruno freebsd_committer 2016-02-15 17:03:22 UTC
This is now fixed with the e1000 update from Intel:

https://svnweb.freebsd.org/base?view=revision&revision=295323

Author: 	erj
Date: 	Fri Feb 5 17:14:37 2016 UTC (9 days, 23 hours ago)
Changed paths: 	23
Log Message: 	

Update em(4) to 7.6.1; update igb(4) to 2.5.3.

Major changes:

- Add i219/i219(2) hardware support. (Found on Skylake generation and newer
  chipsets.)
  - Further to the last Skylake support diff, this one also includes support for
    the Lewisburg chipset (i219(3)).

- Add a workaround to an igb hardware errata.
  All 1G server products need to have IPv6 extension header parsing turned off.
  This should be listed in the specification updates for current 1G server
  products, e.g. for i350 it's errata #37 in this document:
  http://www.intel.com/content/dam/www/public/us/en/documents/specification-updates/ethernet-controller-i350-spec-update.pdf

- Avoton (i354) PHY errata workaround added

And a bunch of minor fixes, as well as #defines for things that the current
em(4)/igb(4) drivers don't implement.

Differential Revision: https://reviews.freebsd.org/D3162
Reviewed by: sbruno, marius, gnn
Approved by: gnn
MFC after: 2 weeks
Sponsored by: Intel Corporation
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-23 06:22:44 UTC
Assign to committer that resolved.

Given this issues summary includes MFC to 10/stable, re-open issue pending:

* Comment on whether this has/will be MFC'd
* Whether this will/has made it into 10.3-RELEASE

Please set the mfc-stable10 flag to + if/when MFC'd, or set to - with comment if MFC not valid/appropriate/denied
Comment 6 op 2016-02-24 22:56:27 UTC
Is there any update in relation to the MFC?
Comment 7 Eric Joyner freebsd_committer 2016-02-24 23:08:44 UTC
It's almost there -- need to submit the (correct version) of the MFC patch to re.
Comment 8 op 2016-02-24 23:13:17 UTC
If you want I can test the patch now, just attach the new patch to this PR or upload them to phabricator or send directly to mail via mail. In my reading the MFC window closing tomorrow: (26 February 2016) - https://www.freebsd.org/releases/10.3R/schedule.html
Comment 9 op 2016-02-26 22:06:38 UTC
Revision 296055 - Directory Listing
Modified Thu Feb 25 19:15:06 2016 UTC (26 hours, 51 minutes ago) by erj

MFC r295323:
Update em(4) to 7.6.1; update igb(4) to 2.5.3.

Major changes:

- Add i219/i219(2) hardware support. (Found on Skylake generation and newer
  chipsets.)
- Further to the last Skylake support diff, this one also includes support for
  the Lewisburg chipset (i219(3)).

- Add a workaround to an igb hardware errata.
  All 1G server products need to have IPv6 extension header parsing turned off.
  This should be listed in the specification updates for current 1G server
  products, e.g. for i350 it's errata #37 in this document:
  http://www.intel.com/content/dam/www/public/us/en/documents/specification-updates/ethernet-controller-i350-spec-update.pdf

- Avoton (i354) PHY errata workaround added

And a bunch of minor fixes, as well as #defines for things that the current
em(4)/igb(4) drivers don't implement.

MFC r287465:

igb(4): Update and fix HW errata
- HW errata workaround for IPv6 offload w/ extension headers
- Edited start of if_igb.c (Device IDs / #includes) to match ixgbe/ixl

Approved by: re (gjb)
Sponsored by: Intel Corporation